#!/bin/bash

if [ "x$GSDLHOME" = "x" ] ; then
  # This extension needs to have the main GSDL setup.bash sourced

  echo "Greenstone environment variable GSDLHOME not set."
  echo "Have you sourced the main installation's setup file, e.g. setup.bash?"
  exit -1
fi


#source cascade-make/bin/script/test-setup.bash
#source cascade-make/lib/cascade-lib.bash

# Guaranteed that GSDLOS has now been set

if [ ! -e $GEXT_JENA_INSTALLED ] ; then
  echo "Creating $GEXT_JENA_INSTALLED"
  mkdir $GEXT_JENA_INSTALLED
fi

dirlist="packages"


for d in $dirlist ; do
  echo "Running $d/CASCADE-MAKE.sh $*"

  (cd $d ; ./CASCADE-MAKE.sh $*)

  if [ $? != 0 ] ; then
    echo "Error encountered running $d/CASCADE-MAKE.sh"
    exit 1
  fi
done



if [ $install = "1" ] ; then
  cat NOTES.txt
fi
